Package ru.bitel.bgbilling.plugins.gar.common.bean

# Class GarAddressObject

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.plugins.gar.common.bean.GarAddressObject

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

Direct Known Subclasses:
  `GarAddressCity`, `GarAddressStreet`

public abstract class GarAddressObject extends IdTitle

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.common.model.IdTitle

  `IdTitle.Builder, IdTitle.IdTitleBuilder`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT, title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GarAddressObject()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCladrCode()`
  `String`
  `getFullName()`
  `long`
  `getGarObjectId()`
  `String`
  `getGuiTitle()`
  Строка - имя объекта.
  `String`
  `getTypeName()`
  `void`
  `setCladrCode(String cladrCode)`
  `void`
  `setFullName(String fullName)`
  `void`
  `setGarObjectId(long garObjectId)`
  `void`
  `setTypeName(String typeName)`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getTitle, setId, setTitle, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### GarAddressObject

    public GarAddressObject()

- ## Method Details

  - ### getGarObjectId

    public long getGarObjectId()

  - ### setGarObjectId

    public void setGarObjectId(long garObjectId)

  - ### getTypeName

    public String getTypeName()

  - ### setTypeName

    public void setTypeName(String typeName)

  - ### getFullName

    public String getFullName()

  - ### setFullName

    public void setFullName(String fullName)

  - ### getCladrCode

    public String getCladrCode()

  - ### setCladrCode

    public void setCladrCode(String cladrCode)

  - ### getGuiTitle

    public String getGuiTitle()
    Description copied from interface: `GuiTitlable`
    Строка - имя объекта. Скорее всего уникальная. Используется в комбобоксах, например, итд.
    Specified by:
      `getGuiTitle` in interface `GuiTitlable`
    Overrides:
      `getGuiTitle` in class `IdTitle`
    Returns:
      Строка - представление объекта.